cURL
curl --request PATCH \ --url https://api.flipsidecrypto.xyz/public/v3/chat-sessions/update \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --header 'x-session-id: <x-session-id>' \ --data ' { "meta": { "title": "My Chat" }, "visibility": "personal" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "visibility": "personal", "meta": null, "updatedAt": "2023-11-07T05:31:56Z" }
Update a chat session’s metadata. The session ID must be provided via X-Session-Id header. Metadata is merged with existing values.
The chat session ID
"123e4567-e89b-12d3-a456-426614174000"
Metadata to update (merged with existing meta)
{ "title": "My Chat" }
Visibility level: 'personal' (owner only) or 'organization' (shared with org members)
personal
organization
public
"personal"
Chat session updated successfully
Was this page helpful?